Bug 1212075 - Review Request: golang-github-hashicorp-net-rpc-msgpackrpc- Library for creating Go RPC client/server
Summary: Review Request: golang-github-hashicorp-net-rpc-msgpackrpc- Library for creat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1212031
Blocks: 1208616 1212113
TreeView+ depends on / blocked
 
Reported: 2015-04-15 13:56 UTC by Jan Chaloupka
Modified: 2015-07-08 17:02 UTC (History)
2 users (show)

Fixed In Version: golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:06:51 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-04-15 13:56:30 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-net-rpc-msgpackrpc/golang-github-hashicorp-net-rpc-msgpackrpc.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-net-rpc-msgpackrpc/golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.fc20.src.rpm

Description: Library for creating Go RPC client/server

Fedora Account System Username: jchaloup

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-hashicorp-net-rpc-msgpackrpc-devel-0-0.1.gitd377902.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jan Chaloupka 2015-04-15 13:57:23 UTC
Koji: package depends on bz1212031. Locally it builds fine.

Comment 2 Lokesh Mandvekar 2015-06-17 13:49:58 UTC
- spec file conforms to current golang packaging draft
- license correct and valid
- only sources installed for now

package approved

Comment 3 Jan Chaloupka 2015-06-17 16:39:36 UTC
New Package SCM Request
=======================
Package Name: golang-github-hashicorp-net-rpc-msgpackrpc
Short Description: Library for creating Go RPC client/server
Upstream URL: https://github.com/hashicorp/net-rpc-msgpackrpc
Owners: jchaloup
Branches: f22 f21 el6
InitialCC: golang-sig

Comment 4 Gwyn Ciesla 2015-06-18 15:03:52 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-06-20 08:12:30 UTC
golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.fc21

Comment 6 Fedora Update System 2015-06-20 08:12:56 UTC
golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.el6

Comment 7 Fedora Update System 2015-06-20 08:14:29 UTC
golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.fc22

Comment 8 Fedora Update System 2015-06-20 21:16:22 UTC
golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2015-06-30 00:06:51 UTC
golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.fc22 has been pushed to the Fedora 22 stable repository.

Comment 10 Fedora Update System 2015-06-30 00:21:05 UTC
golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-07-08 17:02:04 UTC
golang-github-hashicorp-net-rpc-msgpackrpc-0-0.1.gitd377902.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.